/*
 * Copyright (c) 1995 NeXT Computer, Inc.
 * All Rights Reserved.
 *
 * Derived from the CMU mach headers.
 */

#ifndef _HPUX_CTHREADS_H
#define _HPUX_CTHREADS_H

#define CTHREADS_AVAILABLE 1
#define cthreads_available() 1

#include <pthread.h>

typedef struct mutex {
    pthread_mutex_t m;
} *mutex_t;

typedef struct condition {
    pthread_cond_t c;
} *condition_t;

typedef pthread_t native_thread_t;
typedef pthread_key_t native_key_t;

#endif _HPUX_CTHREADS_H

