/*
 * Copyright (C) 1993 NeXT Computer, Inc.
 * All Rights Reserved
 */
#ifndef _DOEVENTLOOP_PRIVATE_H
#define _DOEVENTLOOP_PRIVATE_H

/* 
 * Private data types
 */
typedef enum _rw_mode {
    _RWMODE_READ  = 0x01,
    _RWMODE_WRITE = 0x02,
} _rw_mode_t;

typedef struct _fd_handler_rec {
    int fd;
    id <DOFileDescriptorHandling> handler;
    void *handler_data;
    _rw_mode_t rwMode;
} _fd_handler_rec_t;
   
/*
 * Another private data type
 */ 
typedef struct _port_handler_rec {
    port_t port;
    id <DOMachMessageHandling> handler;
    void *handler_data;
} _port_handler_rec_t;
    
/*
 * Yet another private data type
 */
typedef struct _timeout_handler_rec {
    DOTimeoutReceipt receipt;
    double time_to_go_off;
    id <DOTimeoutHandling> handler;
    void *handler_data;
    struct _timeout_handler_rec *next;
} *_timeout_handler_list_t;

#endif /* _DO_PRIVATE_H */
